QGIS Application - Bug report #16972
SAGA and Orfeo tool box not showing in the toolbox bar
2017-08-05 04:01 AM - Esmeraldino Oliveira Junior

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.18.11 Regression?: No
Operating System: Linux Mint 18.1 Serena 64-bit Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24871
Description

Hi,

Some toolbox are not showing in the side bar despite they have been activated.

The affected toolboxes are Saga and Orfeo.

I'm both linux and qgis new user. This issue do not happen on windows so | think it is a compatibility problem with linux mint.

Anyone could help me to solve this issue?

thank you very much

Esmeraldino

History

#1 - 2017-08-05 12:19 PM - Giovanni Manghi
- Status changed from Open to Feedback

Did you installed SAGA?

How did you installed OTB (from the screenshot it seems you are trying to use OTB 6, but the location is weird, why the binaries should be inside your

.qgis2 folder?)?

#2 - 2017-08-05 01:16 PM - Esmeraldino Oliveira Junior

Giovanni Manghi wrote:

Did you installed SAGA?

How did you installed OTB (from the screenshot it seems you are trying to use OTB 6, but the location is weird, why the binaries should be inside
your .qgis2 folder?)?

Yes SAGA is installed.

Yes itis otb 6.0. To "install" the orfeo toolbox i just downloaded it and put into the .qgis2 folder (as | did in a windows machine, it worked there).
Thanks to your tip, i removed the folder and tried to install via ubuntugis with the following command lines:

sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable
sudo apt-get update

then | just activated it in providers tab and it worked! (Thankyou)

but with saga i still haven't any clue. | installed it via: "sudo apt-get install qgis python-qgis qgis-plugin-grass"and added saga to the end following this
videotutorial in portuguese (https://www.youtube.com/watch?v=5Pm6CENguRs) minute 6:25. Could this be the problem since it is not a official ggis

instruction in the web site?

#3 - 2017-08-05 03:17 PM - Esmeraldino Oliveira Junior

Esmeraldino Oliveira Junior wrote:

Giovanni Manghi wrote:

Did you installed SAGA?

How did you installed OTB (from the screenshot it secems you are trying to use OTB 6, but the location is weird, why the binaries should be inside

your .qqgis2 folder?)?

Yes SAGA is installed.

Yes it is otb 6.0. To "install" the orfeo toolbox i just downloaded it and put into the .qqgis2 folder (as I did in a windows machine, it worked there).

Thanks to your tip, i removed the folder and tried to install via ubuntugis with the following command lines:

sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable
sudo apt-get update

then | just activated it in providers tab and it worked! (Thankyou)

but with saga i still haven't any clue. | installed it via: "sudo apt-get install qgis python-qgis qgis-plugin-grass"and added saga to the end following

this videotutorial in portuguese (https.://www.youtube.com/watch?v=5Pm6CENguRs) minute 6:25. Could this be the problem since it is not a official

qgis instruction in the web site?

Saga is working!

After | added the repository sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable to my list i received some new updates to many extensions
including saga and now it is working.

Thankyou a lot for your initial tip Giovanni!

Esmeraldino

#4 - 2017-08-05 05:58 PM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed
Files

Captura de tela de 2017-08-04 22-52-29.png 271 KB 2017-08-05 Esmeraldino Oliveira Junior
